<?php
	//---------------------------------------------------------------------------------------------------------
	// 30/Septiembre/2014
	// Versión 1.0 Controlamos en que sección se encuentra la web
	//---------------------------------------------------------------------------------------------------------
	// 14/Octubre/2014
	// Versión 1.1 La sección se carga sóla de forma automática según su nombre
	//---------------------------------------------------------------------------------------------------------
	
	include("comunes/globals.php");
	
	/*---------------------------------------------------------------------------------------------------------
	La sección actual depende de varios factores:
		1-Nos envían dicha sección en la url de la web (normalmente en el htaccess)
		2-Según los parámetros recibidos
			2.1-Nombre escaparate
			2.2-Búsqueda
			2.3-Artículo
			
		3-Si no se cumplen los casos anteriores, estamos en el index
	*/
	//echo '<!-- '.$current_section.' -->';
	
	//Aquí recogemos los valores de los que depende la sección en la que estamos
	//$seccion = Sections::$params->current_section;
	//$nombre_escaparate = dame_valor_variable_global("nombre_escaparate", "");
	//$articulo = dame_valor_variable_global("articulo", 0);
	//$txt_busqueda  = Sections::$params->txt_busqueda;
	$autor  = Sections::getParam('autor');
	$marca  = Sections::getParam('marca');
	$editorial  = Sections::getParam('editorial');
	$fabricante  = Sections::getParam('fabricante');
	$titulo  = Sections::getParam('titulo');
	$nombre  = Sections::getParam('nombre');
	$isbn  = Sections::getParam('isbn');
	$categoria  = Sections::getParam('categoria');
	//$pagina  = dame_valor_variable_global("pagina", "");
	$menu_actual  = Getter::get('menu_actual', '');
	$codigo_confirmacion  = Sections::getParam('codigo_confirmacion');
	//El filtrado se guarda en la sesión
	/*$filtrado_actual = dame_valor_variable_global("filtrado_actual", "");
	if($filtrado_actual != ""){
		Sesion::set("filtrado_actual", $filtrado_actual);
	}
	$filtrado_actual = Sesion::get("filtrado_actual");
	*/
	$filtrado_actual = adaptar_filtrado();
	$catalogo = dame_valor_variable_global("catalogo", 0);
	$nombreColeccion = dame_valor_variable_global("nombreColeccion","");
	//Búsqueda de lote
	$lote_buscar = Sections::getParam('lote_buscar');
	if($lote_buscar != ""){
		Sesion::set("lote_buscar", $lote_buscar);
	}
	$lote_buscar = Sesion::get("lote_buscar");
	//Si es una búsqueda avanzada, podemos haber recibido una cadena con los parámetros, vamos a leerla
	$cadena_busqueda = Sections::getParam('cadena_busqueda');
	//echo("la cadena de búsqueda es: $cadena_busqueda<br />\n");
	if ($cadena_busqueda != ""){
		//Es muy importante comprobar si la cadena empieza o termina por "/" para quitarla
		if (substr($cadena_busqueda, 0, 1) == "/"){
			$cadena_busqueda = substr($cadena_busqueda, 1);
		}
		if (substr($cadena_busqueda, -1, 1) == "/"){
			$cadena_busqueda = substr($cadena_busqueda, 0, strlen($cadena_busqueda) - 1);
		}
		//Vamos a transformar primero la cadena sustituyendo los valores 
		$array_cadena_busqueda = explode("/", $cadena_busqueda);
		for($i = 0; $i < count($array_cadena_busqueda); $i++){
			$elemento = explode("_", $array_cadena_busqueda[$i]);
			$$elemento[0] = $elemento[1];
			//echo("Asignado: " . $elemento[0] . " el valor: " . $elemento[1] . "<br />\n");
			//echo $titulo;
		}
	}
	/*
	//La clase section se encargará de ver en qué sección nos encontramos
	//Si no hemos recibido la sección, entonces vamos a controlar si hemos recibido un parámetro u otro
	if ($seccion == ""){
		$seccion = "home";
		if ($nombre_escaparate != ""){
			$seccion = "escaparate";
		}else if ( ($txt_busqueda != "") || ($autor != "") || ($editorial != "") || ($titulo != "") || ($isbn != "") || ($categoria != "") ){
			$seccion = "resultado_busqueda";
		}else if ($articulo != ""){
			$seccion = "ficha";
		}else if($menu_actual != ""){
			$seccion = "opcion_generica";
		}else if ($codigo_confirmacion > 0){
			$seccion = "confirmacion_registro";
		}
	}
	*/
	/*
	//Section control se ocupará de esto
	//Ahora en función de la sección, vamos realizar las opciones pertinentes
	if (file_exists("comunes/procesos_seccion/" . $seccion . ".php")){
		include("comunes/procesos_seccion/" . $seccion . ".php");
	}
	*/
	/*
	//No vamos a cargar el escaparate principal, se cargará el escaparate que decida el usuario
	//Por último, vamos a ver cual sería el escaparate principal por si lo necesitásemos
	$sentencia_sql = "SELECT codigo FROM cescaparate WHERE principal = 1 ORDER by codigo ASC LIMIT 0,1";
	$escaparate_principal = NULL;
	if ($conexionBD){
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			if ($fila = mysqli_fetch_array($resultado)){
				$escaparate_principal = $fila["codigo"];
			}
		}
	}
	*/
?>